General
cancel
Showing results for 
Search instead for 
Did you mean: 

How can I install top-tool-agent-software on a RedHat 9 with a 2.4.26 kernel?

Frank Janiczek
Occasional Visitor

How can I install top-tool-agent-software on a RedHat 9 with a 2.4.26 kernel?

I tried to install a top-tool-agent on a LP2000/LC2000 running RedHat 9 with a 2.4.26 kernel. But the installation fails because of the wrong kernel-version. I cannot downgrade my 5 Server because of security-reason.
Can somebody tell me how to install the agent on this machines?
8 REPLIES
Chris Xu
Trusted Contributor

Re: How can I install top-tool-agent-software on a RedHat 9 with a 2.4.26 kernel?

Frank,

I could not find 2.4.26 kernel in RedHat9 release. Is that a customized kernel?

Well, here is some information on TopTools from HP:

The HP Toptools product has been discontinued as of December 31, 2002. Toptools 5.6 was our last release. Please note that as customary at HP, support will be available through our customer care centers for 5 years following the discontinuation date or until December 31, 2007.

So I suggest you give up on TopTools because you will find yourself in deeper trouble with future OS upgrades even if you find a fix for this particular problem this time. You should find a replacement, such as HP Systems Insight Manager. Here is a brief description of the product:

HP Systems Insight Manager combines the strengths of HP Servicecontrol Manager, HP Insight Manager 7 and HP Toptools to deliver a single tool for managing Integrity, HP 9000, and ProLiant servers running HP-UX, Windows, and Linux.

Good luck

Chris
Frank Janiczek
Occasional Visitor

Re: How can I install top-tool-agent-software on a RedHat 9 with a 2.4.26 kernel?

Ok, I see, we need more information about my reasons:
I care for serveral servers with the following Hardware: lp2000, pc2000, dl360 and dl380.
On all machines a redhat 9 is running with a compiled 2.4.26-kernel. Why? security-reason! This server are web-proxies. I hope you understand.
OK.
Further I buy and install an additional server only for monitorind issues. A insight manager is running on the standart-kernel. Perfect.
Now I wish to monitor all my server, specialy Raid-System, and hardware...
But with which software?
On the dl3x-Server I can install an insight-agent, ok. And the older lp/lc2000?
all my servers have a registered carepack. I called the hotline, and after some phonecalls they say: no solution, ask the IT-resource-center. :-(
Do you have a solution?
Chris Xu
Trusted Contributor

Re: How can I install top-tool-agent-software on a RedHat 9 with a 2.4.26 kernel?

From Insight Manager 4.2 doc, HP claimed in managed system requirements as below:

â Required Hardware
â For Linux:
â Any HP IA-32 system
â Any HP Itanium-base
Frank Janiczek
Occasional Visitor

Re: How can I install top-tool-agent-software on a RedHat 9 with a 2.4.26 kernel?

Sorry Chris,
I think I don't understand your message here.
What I know from HP-Website is the following:
please look here .
This means, Insight Management Agents are only running under proLiant and newer, not on older lc2000/lp2000. Am I right?
And all times I read more exactly, I find out, if they say "Linux", they means Enterprise Linux with no special kernel.

Or do I completely misunderstood your message.
Sorry for my bad english.
Chris Xu
Trusted Contributor

Re: How can I install top-tool-agent-software on a RedHat 9 with a 2.4.26 kernel?

Sorry about the unreadable characters. Here is the link to the doc I talked about: "http://docs.hp.com/en/5991-0710/index.html". In Chapter 2, go to section Managed System Requirements and Recommendations. However, there is still possibility that it does not work with your kernel. Yet you have a better chance to solve your problem if you stay with Insight Mananger because it is supported by HP and is still under further development. I think SIM 4.2 will give basic monitoring on your old systems. You will get more detailed info on Proliant systems, though it should not only limited to Proliant systems.
Chris Xu
Trusted Contributor

Re: How can I install top-tool-agent-software on a RedHat 9 with a 2.4.26 kernel?

Or we can try to work on the installation issue you have with TopTools agent if you give more detailed error messages.
Frank Janiczek
Occasional Visitor

Re: How can I install top-tool-agent-software on a RedHat 9 with a 2.4.26 kernel?

Hi Chris,
I hope your Christmas was beautiful.
I will try to install insight agent on 1 of this machines. Do you have an idea about the best version I should use?
You know, the hardware is lp2000/lc2000 and the OS is RH9 with 2.4.26.
Should I use the version, written for RHEL3 and a dl3xx machine?

And...
thanks for your help.
Frank Janiczek
Occasional Visitor

Re: How can I install top-tool-agent-software on a RedHat 9 with a 2.4.26 kernel?

OK Chris,
I installed (tried to install) insight agent for the version mentioned above.
And thats the output while I do this:


###################################################
[root@aflwb006 /]# /etc/init.d/hpasm start
Starting Proliant System Health Monitor (hpasmd) :
Starting Foundation Agents (cmafdtn): cmawebd cmathreshd cmahostd cmapeerd
ERROR: Can't start the Web agent. HP HTTP server must be configured
first. The minimum configuration required is the "administrator"
password which can be configured with following command:
/opt/compaq/foundation/etc/hpwebsetup -pA:'yourpasswd' -f
Starting Web agent (cmawebd) :
Starting Threshold agent (cmathreshd) :
Starting Host agent (cmahostd) :
Starting SNMP Peer (cmapeerd) :

Starting Server Agents (cmasvr): cmastdeqd cmahealthd cmaperfd
Starting Standard Equipment agent (cmastdeqd) :
Starting Health agent (cmahealthd) :
Starting Performance agent (cmaperfd) :

grep: /opt/compaq/cma.conf: Datei oder Verzeichnis nicht gefunden
Starting HP Lights-Out Drivers and Agents (hprsm): cpqci cpqrid cpqriisd cmasm2d cmarackd
Starting cpqci:Looking for sources to build 2.4.26
Failed to rebuild for custom kernel.
No insight management devices available
(missing or disabled) on this system.
Please remove the hprsm package at your
earliest convenience (rpm -e hprsm).
EHLGESCHLAGEN]
Starting cpqrid:Looking for sources to build 2.4.26
Failed to rebuild for custom kernel.
No insight management devices available
(missing or disabled) on this system.
Please remove the hprsm package at your
earliest convenience (rpm -e hprsm).
EHLGESCHLAGEN]
cpqriisd requires cpqci.
Starting RIB agent (cmasm2d) :
Starting Rack agent (cmarackd) :

Starting Storage Agents (cmastor): cmaeventd cmaidad cmafcad cmaided cmascsid
Starting Storage Event Logger (cmaeventd) :
Starting IDA agent (cmaidad) :
Starting FCA agent (cmafcad) :
Starting IDE agent (cmaided) :
Starting SCSI agent (cmascsid) :

hpasm: Server Management is enabled

ot@aflwb006 /]# /etc/init.d/hprsm start
grep: /opt/compaq/cma.conf: Datei oder Verzeichnis nicht gefunden
Starting HP Lights-Out Drivers and Agents (hprsm): cpqci cpqrid cpqriisd cmasm2d cmarackd
Starting cpqci:Looking for sources to build 2.4.26
Failed to rebuild for custom kernel.
No insight management devices available
(missing or disabled) on this system.
Please remove the hprsm package at your
earliest convenience (rpm -e hprsm).
[FEHLGESCHLAGEN]
Starting cpqrid:Looking for sources to build 2.4.26
Failed to rebuild for custom kernel.
No insight management devices available
(missing or disabled) on this system.
Please remove the hprsm package at your
earliest convenience (rpm -e hprsm).
[FEHLGESCHLAGEN]
cpqriisd requires cpqci.
Starting RIB agent (cmasm2d) :
Starting Rack agent (cmarackd) :

[root@aflwb006 /]# ps axfu
USER PID %CPU %MEM VSZ RSS TTY STAT START TIME COMMAND
root 1 0.0 0.0 1388 504 ? S Nov02 0:29 init [3]
root 19389 0.0 0.6 9800 3520 ? S 10:48 0:00 /usr/sbin/snmpd -s -l /dev/null -P /var/run/snmpd -a
root 20497 0.0 0.2 4628 1288 pts/0 S 10:54 0:00 cmapeerd
root 20578 0.0 0.2 2356 1204 pts/0 S 10:54 0:01 cmaperfd -p 30 -s OK
root 20909 0.0 0.2 2724 1200 ? S 10:54 0:00 cmaeventd
root 20923 0.0 0.3 3184 1572 pts/0 S 10:54 0:00 cmaidad -p 15 -s OK
root 20937 0.0 0.2 2956 1408 pts/0 S 10:54 0:00 cmafcad -p 15 -s OK
root 20951 0.0 0.1 2232 720 pts/0 S 10:54 0:00 cmaided -p 15 -s OK
root 20969 0.0 0.1 2264 748 pts/0 S 10:54 0:00 cmascsid -p 15 -s OK
root 27480 0.0 0.1 2084 716 pts/0 S 11:51 0:00 cmasm2d -p 30
root 27496 0.0 0.1 6344 788 pts/0 S 11:51 0:00 cmarackd -p 120


OK, after that I defined an admin-passwd.
As result this attempt probably ran rather badly.